Forgot Password by Email
When the user clicks Forgot Password on the login page and chooses to retrieve the password by email, they need to enter the email, verification code, and new password, pass the CAPTCHA verification, and then call this API. After the call succeeds, return to the login page and log in again.
Request Description
Request Headers
| Parameter Name | Name | Required | Type | Example |
|---|---|---|---|---|
| X-operating-sys-version | Caller client operating system version | Yes | String | windows10.1.1 |
| X-device-fingerprint | Caller client device fingerprint | Yes | String | 156aysdna213sc50 |
| X-device-ip | Caller client IP | No | String | 192.168.1.2 |
| X-agent | User-Agent information | Yes | String | Mozilla/5.0 (iPhone; CPU iPhone OS 13_3 like Mac OS X) |
| X-L | Used for internationalization language setting | No | String | zh |
| X-client-id | Application authorization ID | Yes | String | nTo1eRIub60vPb54WeE6aojPwYwImtl4 |
| content-type | Content format type | Yes | String | application/json |
Request Example
json
{
"email": "15200000000@qq.com",
"verify_code": "123456",
"password": "P@sdsdfsdfds"
}Request Parameters
| Parameter Name | Name | Required | Type | Description |
|---|---|---|---|---|
| Yes | String | |||
| verify_code | SMS verification code | Yes | String | Email verification code For obtaining the verification code, please refer to Send Email Verification Code API type=FORGET_PWD_EMS |
| password | New password | Yes | String | The new password to be set |
Response Example
Success Example
HTTP/1.1 200 OK
Error Example
HTTP/1.1 400 Bad Request
json
{
"error_code": "IDAAS.SDK.CAPTCHA.0007",
"error_msg": "Incorrect verification code"
}Response Parameters
None
Error Codes
| Status Code | Error Code | Chinese Error Message | English Error Message | Resolution |
|---|---|---|---|---|
| 400 | IDAAS.SDK.PARAM.0001 | 设备信息不完整 | Device information is incomplete | Please check whether the input device information is complete |
| 400 | IDAAS.SDK.PARAM.0002 | clientId不能为空 | clientId cannot be empty | Please check whether the input clientId is empty |
| 400 | IDAAS.SDK.PARAM.0003 | 应用未注册,请先注册应用 | The app is not registered, please register the app first | Please check whether the input clientId is correct |
| 400 | IDAAS.SDK.PARAM.0009 | 验证码不能为空 | Verification code cannot be empty | Please check whether the input verification code is empty |
| 400 | IDAAS.SDK.CAPTCHA.0007 | 验证码不正确 | Incorrect verification code | Please check whether the input verification code is correct |
| 400 | IDAAS.SDK.USER.0005 | 邮箱不能为空 | E-mail cannot be empty | Please check whether the email field in the input parameters is empty |
| 400 | IDAAS.SDK.USER.0006 | 密码不能为空 | Password cannot be empty | Please check whether the input password is empty |
| 400 | IDAAS.SDK.USER.0001 | 用户未找到 | User not found | Please register first and try again |
| 400 | IDAAS.SDK.PWD.0001 | 不允许使用历史密码 | The password is used before, cannot be used again | Please re-enter the password |
| 400 | IDAAS.SDK.PWD.0002 | 密码不允许使用用户名的倒写 | Password cannot username in reverse order | Please re-enter the password |
| 400 | IDAAS.SDK.PWD.0003 | 密码中不允许包含:用户名、手机号、邮箱前缀、姓名拼音 | Password cannot contain :username, phone number, email prefix, name in PinYing | Please re-enter the password |
| 400 | IDAAS.SDK.PWD.0004 | 密码复杂度低, | Your password complexity is low, | Please re-enter the password |
| 400 | IDAAS.SDK.PWD.0005 | 该密码为弱密码 | The password is weak | Please re-enter the password |
| 400 | IDAAS.SDK.PWD.0006 | 密码中最大字符重复数不能超过 | Number of character repeat in password should not exceed | Please re-enter the password |
| 400 | IDAAS.SDK.PWD.0007 | 密码长度为{0}~{1}个字符 | The password must contain {0} to {1} characters | Please re-enter the password |